Skip to content

nodes / spiceshell ​

1 operation.

POST /nodes/{node}/spiceshell ​

ts
proxmox.nodes.$(node).spiceshell.$post()

Creates a SPICE shell.

Returns any.

ParameterTypeRequiredNotes
cmdceph_install | login | upgradeRun specific command or default to login (requires 'root@pam') — default "login"
cmd-optsstringAdd parameters to a command. Encoded as null terminated strings. — default ""
nodestringyesThe cluster node name. — format pve-node
proxystringSPICE proxy server. This can be used by the client to specify the proxy server. All nodes in a cluster runs 'spiceproxy', so it is up to the client to choose one. By default, we return the node where the VM is currently running. As reasonable setting is to use same node you use to connect to the API (This is window.location.hostname for the JS GUI). — format address